View Issue Details

This bug affects 1 person(s).
 4
IDProjectCategoryView StatusLast Update
18270Bug reportsQuestion editorpublic2022-08-08 09:16
Reporterollehar Assigned Togabrieljenik  
PrioritynormalSeverityminor 
Status closedResolutionfixed 
Product Version5.3.x 
Summary18270: Language switch is not repopulated correctly after change question type
Description

See pic etc

Steps To Reproduce

Steps to reproduce

  1. Create multilingual survey
  2. Edit question
  3. Switch to second language
  4. Switch question type
  5. Inconsistency in the interface, see attached pic

Expected result

(Write here what you expected to happen)

Actual result

(Write here what happened instead)

TagsNo tags attached.
Bug heat4
Complete LimeSurvey version number (& build)master
I will donate to the project if issue is resolvedNo
Browser-
Database type & version-
Server OS (if known)-
Webserver software & version (if known)-
PHP Version-

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

ollehar

ollehar

2022-07-22 12:48

administrator  

shot.png (165,102 bytes)
gabrieljenik

gabrieljenik

2022-07-25 21:33

manager   ~71131

PR: https://github.com/LimeSurvey/LimeSurvey/pull/2546

gabrieljenik

gabrieljenik

2022-08-04 12:21

manager   ~71320

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=33708

LimeBot

LimeBot

2022-08-08 09:16

administrator   ~71362

Fixed in Release 5.3.30+220808

Related Changesets

LimeSurvey: master d027281d

2022-08-04 12:21:33

gabrieljenik


Committer: GitHub Details Diff
Fixed issue 18270: Language switch is not repopulated correctly after change question type (#2546)

Co-authored-by: encuestabizdevgit <devgit@encuesta.biz>
Affected Issues
18270
mod - assets/scripts/admin/questionEditor.js Diff File

Issue History

Date Modified Username Field Change
2022-07-22 12:48 ollehar New Issue
2022-07-22 12:48 ollehar File Added: shot.png
2022-07-22 12:49 ollehar Priority none => normal
2022-07-22 12:49 ollehar Product Version => 5.3.x
2022-07-25 17:16 gabrieljenik Assigned To => gabrieljenik
2022-07-25 17:16 gabrieljenik Status new => assigned
2022-07-25 21:33 gabrieljenik Assigned To gabrieljenik => DenisChenu
2022-07-25 21:33 gabrieljenik Status assigned => ready for code review
2022-07-25 21:33 gabrieljenik Note Added: 71131
2022-07-25 21:33 gabrieljenik Bug heat 0 => 2
2022-07-29 09:15 DenisChenu Assigned To DenisChenu =>
2022-07-29 09:15 DenisChenu Status ready for code review => ready for testing
2022-08-03 18:00 gabrieljenik Assigned To => ollehar
2022-08-03 18:00 gabrieljenik Status ready for testing => ready for merge
2022-08-04 12:21 gabrieljenik Changeset attached => LimeSurvey master d027281d
2022-08-04 12:21 gabrieljenik Note Added: 71320
2022-08-04 12:21 gabrieljenik Assigned To ollehar => gabrieljenik
2022-08-04 12:21 gabrieljenik Resolution open => fixed
2022-08-04 12:24 ollehar Status ready for merge => resolved
2022-08-08 09:16 LimeBot Note Added: 71362
2022-08-08 09:16 LimeBot Status resolved => closed
2022-08-08 09:16 LimeBot Bug heat 2 => 4